/*=========================================================================

  xmlCFD - an implementation of a proposed XML-based geometry /
  condition description format for CFD

  Copyright (c) 2010 Takuya OSHIMA <oshima@eng.niigata-u.ac.jp>.
  All rights reserved.
  See License.txt for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef XMLMAINWINDOW_H
#define XMLMAINWINDOW_H

#include <QMainWindow>

class xmlCFD;

class Ui_xmlMainWindow;

class QVTKWidget;
class vtkPolyData;

class xmlMainWindow : public QMainWindow
{
  Q_OBJECT

public:
  xmlMainWindow(QWidget *parent = 0);
  ~xmlMainWindow();

private:
  void setupRenderWindow(QVTKWidget *);
  void setInput(QVTKWidget *, vtkPolyData *);
  void createActions();

  Ui_xmlMainWindow *Ui;

  xmlCFD *Parser;

private slots:
  void slotOpen();
  void slotClose();
  void slotExit();
  void slotFieldSelection(int);
};

#endif
