/*=========================================================================

  xmlCFD - an implementation of a proposed XML-based geometry /
  condition description format for CFD

  Copyright (c) 2010 Takuya OSHIMA <oshima@eng.niigata-u.ac.jp>.
  All rights reserved.
  See License.txt for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef XMLBOUNDARIES_H
#define XMLBOUNDARIES_H

#include "xmlBoundary.h"

#include <vtkstd/vector>

class vtkPolyData;

class xmlBoundaries : public vtkstd::vector<xmlBoundary>
{
public:
  xmlBoundaries()
    : vtkstd::vector<xmlBoundary>(), Geometry(0), ModelledGeometry(0)
  {
  }

  ~xmlBoundaries();

  // True geometry of the part, optional
  vtkPolyData *Geometry;

  // Modelled geometry of the part, mandatory
  vtkPolyData *ModelledGeometry;
};

#endif
