/*=========================================================================

  xmlCFD - an implementation of a proposed XML-based geometry /
  condition description format for CFD

  Copyright (c) 2010 Takuya OSHIMA <oshima@eng.niigata-u.ac.jp>.
  All rights reserved.
  See License.txt for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef XMLBOUNDARY_H
#define XMLBOUNDARY_H

#include "xmlField.h"

#include "vtkStdString.h"

#include <vtkstd/vector>

class vtkPolyData;

class xmlBoundary : public vtkstd::vector<xmlField>
{
public:
  xmlBoundary()
    : vtkstd::vector<xmlField>(), BoundaryGeometry(0), FieldData(0)
  {
  }

  ~xmlBoundary();

  // Concrete discretized geometry used for boundary condition
  // descriptions
  vtkPolyData *BoundaryGeometry;

  // Concrete data for boundary fields, optional
  vtkPolyData *FieldData;

  vtkStdString Identifier;
};

#endif
