/*
xmlCFD - an implementation of a proposed XML-based geometry /
condition description format for CFD

Copyright (C) 2010  Takuya OSHIMA

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/

#ifndef XMLFIELD_H
#define XMLFIELD_H

#include "vtkStdString.h"

#include <vtkstd/vector>

class xmlField
{
public:
  xmlField()
    : UseFieldData(true), ScalingFactor(1.0), InterpolationScheme("linear"),
    Dimensions(7, 0)
  {
  }

  ~xmlField()
  {
  }

  enum FieldTypes { SCALAR, VECTOR, TENSOR, SYMTENSOR };
  enum IntegralType { UNDEFINED, SURFACE, VOLUME };

  vtkStdString Identifier;
  vtkStdString FieldNameInData;
  FieldTypes FieldType;
  bool UseFieldData;
  double ScalingFactor;
  vtkStdString InterpolationScheme;
  vtkstd::vector<int> Dimensions;
  vtkstd::vector<double> SurfaceIntegralValue;
  double VolumeIntegralValue;
  vtkStdString Conditions;
};

#endif
